﻿@model ChessTourneyEntriesViewModel

@{
    Layout = null;
}

<script src="~/Scripts/Libraries/KendoUI/kendo.all.min.js"></script>
<script src="~/Scripts/Kendo/kendo.aspnetmvc.min.js"></script>
<link href="~/Content/Frameworks/KendoUI/kendo.common.min.css" rel="stylesheet" />
<link href="~/Content/Frameworks/KendoUI/kendo.bootstrap.min.css" rel="stylesheet" />
<link href="~/Content/Student/ViewEntries.css" rel="stylesheet" />


<div id="actionZone" class="modal-body inline text-center clearfix">
    <div style="margin: 0 auto 37px 0;  background:rgba(0,0,0,.05);border-bottom:1px solid lightgray;border-radius: 4px;line-height: 31px;display: block;">
        <span>
            @Html.LabelFor(model => model.TotalUsers, new { style = "display:inline-block" }):
        </span>
        <span>
            @Html.DisplayFor(model => model.TotalUsers)
        </span>
    </div>
    <div class="entries-toggle text-center clearfix">
        <div class="toggle-switch">
            <div class="switch switch-five">
                <input class="player" id="player" name="srt" type="radio">
                <label class="changeSort k-link" data-field="FullName" for="player">Sort by Name</label>
                <input id="btnSection" type="radio" name="srt" class="k-link" checked="" />
                <label class="changeSort k-link" data-field="SectionOrder" for="btnSection">Sort by Section</label>
                <input id="btnSchedule" type="radio" name="srt" class="k-link" />
                <label class="changeSort k-link" data-field="Schedule" for="btnSchedule">Sort by Schedule</label>
                <input id="btnRating" type="radio" name="srt" class="k-link" />
                <label class="changeSort k-link" data-field="UscfRating" for="btnRating">Sort by Rating</label>
                <input id="btnCountry" type="radio" name="srt" class="k-link" />
                <label class="changeSort k-link" data-field="Country" for="btnCountry">Sort by Country</label>
                <span class="slide-button"></span>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <div id="entries" class="pull-left myjb-grid clearfix">
        @Html.Partial("_ViewEntriesDefault", Model)
    </div>
</div>

<script type="text/javascript">

    var firstTimeSort = false;

    $(".changeSort").click(function () {
        var sortField = $(this).data('field');

        if (sortField == 'FullName' || sortField == 'UscfRating') {

            var sortDirection = 'asc';

            if (sortField == 'UscfRating') {
                sortDirection = 'desc';
            }

            $("#TourneyEntriesGrid").data("kendoGrid").dataSource.group([]);
            $("#TourneyEntriesGrid").data("kendoGrid").dataSource.sort({ field: sortField, dir: sortDirection });

        }
        else {
            $("#TourneyEntriesGrid").data("kendoGrid").dataSource.group({ field: sortField, dir: "asc" });
        }
    });

    function fixGroupHeaderTitle(title) {
        return title.split("#")[1];
    }

    function fixRating(rating) {

        var result = spliceZero(rating);

        if (typeof result == 'undefined') {
            return '';
        }
        else {
            return result;
        }
    }

    var spliceZero = function (str) {
        if (str) {
            var arr = str.split("");
            for (var i = 0; i < arr.length ; i++) {
                if (arr[i] != "0") {
                    return arr.join("");
                }
                else {
                    arr.splice(i, 1);
                    i--;
                }
            }
        }
    }
</script>

